> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/accounts/{account-id}/audiences/search

> Returns a list of audiences that match the provided filters. If present, the filters are AND'ed together when applied.



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/accounts/{account-id}/audiences/search
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/accounts/{account-id}/audiences/search:
    post:
      tags:
        - Audience
      summary: /preview/retail-media/accounts/{account-id}/audiences/search
      description: >-
        Returns a list of audiences that match the provided filters. If present,
        the filters are AND'ed together when applied.
      operationId: searchAudiences
      parameters:
        - name: account-id
          in: path
          description: Account Id
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            The number of elements to be returned. The default is 50 and the
            maximum is 500.
          schema:
            maximum: 500
            minimum: 0
            type: integer
            format: int32
            default: 50
        - name: offset
          in: query
          description: The (zero-based) offset into the collection. The default is 0.
          schema:
            type: integer
            format: int32
            default: 0
      requestBody:
        description: Audience search filters.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RmAudienceSearchInputV1'
        required: true
        x-bodyName: request
      responses:
        '200':
          description: Success or partial success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RmAudienceEntityV1RmAudienceSearchMetadataV1ListResponse
      security:
        - oauth:
            - RetailMedia_Audience_Read
components:
  schemas:
    RmAudienceSearchInputV1:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/RmAudienceSearchEntityV1Resource'
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value.
    RmAudienceEntityV1RmAudienceSearchMetadataV1ListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/RmAudienceEntityV1Resource'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
        meta:
          $ref: '#/components/schemas/RmAudienceSearchMetadataV1'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          nullable: true
          readOnly: true
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        entities and metadata
    RmAudienceSearchEntityV1Resource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/RmAudienceSearchEntityV1'
        type:
          type: string
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value
    RmAudienceEntityV1Resource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/RmAudienceEntityV1'
        id:
          type: string
          description: Id of the entity
          nullable: true
        type:
          type: string
          nullable: true
      description: A class that represents a domain entity exposed by an API
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    RmAudienceSearchMetadataV1:
      type: object
      properties:
        limit:
          type: integer
          description: Max item of the current page
          format: int32
          nullable: true
        offset:
          type: integer
          description: Number of item to skip
          format: int32
          nullable: true
        totalItems:
          type: integer
          description: Total number of items
          format: int32
          nullable: true
      description: Metadata for the audience search response.
      nullable: true
    RmAudienceSearchEntityV1:
      type: object
      properties:
        audienceIds:
          type: array
          items:
            type: string
          description: List of audience ids
        audienceSegmentIds:
          type: array
          items:
            type: string
          description: List of segment ids (linked to the result audiences)
        retailerIds:
          type: array
          items:
            type: string
          description: List of retailer ids
      description: >-
        Available filters to perform a search on audiences. If present, the
        filters are AND'ed together when applied.
    RmAudienceEntityV1:
      type: object
      properties:
        accountId:
          type: string
          description: Account associated to the audience
          nullable: true
        algebra:
          $ref: '#/components/schemas/RmAlgebraNodeV1'
        channels:
          type: array
          items:
            enum:
              - Unknown
              - Onsite
              - Offsite
            type: string
          description: Channels associated to the audience (read-only)
          nullable: true
        createdAt:
          type: string
          description: ISO-8601 timestamp in UTC of audience creation (read-only)
          format: date-time
          nullable: true
        createdById:
          type: string
          description: User that created the audience
          nullable: true
        description:
          type: string
          description: Description of the audience
          nullable: true
        name:
          type: string
          description: Name of the audience
          nullable: true
        retailerId:
          type: string
          description: Retailer  associated to the audience
          nullable: true
        updatedAt:
          type: string
          description: ISO-8601 timestamp in UTC of audience update (read-only)
          format: date-time
          nullable: true
      description: Audience of people of interest for a marketer.
      nullable: true
      x-criteo-canonical:
        infoType: entity
        name: RetailMediaAudience
        version: v1
    RmAlgebraNodeV1:
      type: object
      properties:
        and:
          type: array
          items:
            $ref: '#/components/schemas/RmAlgebraNodeV1'
          nullable: true
        audienceSegmentId:
          type: string
          nullable: true
        not:
          $ref: '#/components/schemas/RmAlgebraNodeV1'
        or:
          type: array
          items:
            $ref: '#/components/schemas/RmAlgebraNodeV1'
          nullable: true
      description: Node in the audience algebra definition.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````